# Teleport players to plot

gamemode adventure @a[scores={arena=2},tag=skipped,tag=!spectator]

tag @a[scores={arena=2},tag=voting_for,tag=!spectator,limit=1] add target
execute as @a[scores={arena=2},tag=voting_for,tag=!spectator,tag=target] run function build:generic/teleport/main
execute as @a[scores={arena=2,even_or_odd=0},tag=voting_for,tag=!spectator,tag=target] at @s positioned ~ ~ ~13 run teleport @a[scores={arena=2}] ~016 ~ ~ 180 0
execute as @a[scores={arena=2,even_or_odd=1},tag=voting_for,tag=!spectator,tag=target] at @s positioned ~ ~ ~13 run teleport @a[scores={arena=2}] ~-16 ~ ~ 180 0
execute as @a[scores={arena=2},tag=voting_for,tag=!spectator,tag=target] store result score #cave_vote_divider value run data get entity @s Pos[0]
tag @a[scores={arena=2},tag=voting_for,tag=!spectator] remove target







# Give players items

clear @a[scores={arena=2}]
execute as @a[scores={arena=2},tag=!voting_for] run function build:generic/voting_items/1v1s







# Say who built it

data modify storage build:data tellraw_data.team_0 set value '{"selector":"@a[scores={arena=2,even_or_odd=0},tag=voting_for,tag=!spectator]","color":"gold"}'
data modify storage build:data tellraw_data.team_1 set value '{"selector":"@a[scores={arena=2,even_or_odd=1},tag=voting_for,tag=!spectator]","color":"gold"}'
execute unless entity @a[scores={arena=2,even_or_odd=0},tag=voting_for,tag=!spectator] run data modify storage build:data tellraw_data.team_0 set value '{"text":"Abandoned","color":"gray"}'
execute unless entity @a[scores={arena=2,even_or_odd=1},tag=voting_for,tag=!spectator] run data modify storage build:data tellraw_data.team_1 set value '{"text":"Abandoned","color":"gray"}'

title @a[scores={arena=2}] times 10 70 20
title @a[scores={arena=2}] title [{"nbt":"tellraw_data.team_0","storage":"build:data","interpret":true},{"text":" vs ","color":"green"},{"nbt":"tellraw_data.team_1","storage":"build:data","interpret":true}]
title @a[scores={arena=2}] subtitle {"nbt":"game.cave.theme_array[-1]","storage":"build:data","color":"green"}
tellraw @a[scores={arena=2}] [{"text":"Builders: ","color":"green"},{"nbt":"tellraw_data.team_0","storage":"build:data","interpret":true},{"text":" vs ","color":"green"},{"nbt":"tellraw_data.team_1","storage":"build:data","interpret":true},{"text":", Theme: ","color":"green"},{"nbt":"game.cave.theme_array[-1]","storage":"build:data","color":"gold"}]
execute as @a[scores={arena=2}] at @s run playsound minecraft:entity.villager.yes master @s

data remove storage build:data game.cave.theme_array[-1]







# Set timer

scoreboard players set #cave_timer value 600







# Prepare bossbar

bossbar set build:cave visible true
execute store result bossbar build:cave max run scoreboard players get #cave_timer value
execute store result bossbar build:cave value run scoreboard players get #cave_timer value







# Set voting boolean

scoreboard players set #cave_voting_boolean value 1