# Send data to the actionbar

execute if score #city_custom_themes value matches 1 run title @a[scores={arena=3}] actionbar [{"text":"Write a theme in your book and drop it.","color":"green"}]







# Count players

execute store result score #city_player_count value if entity @a[scores={arena=3},tag=!spectator]







# Manage timer

scoreboard players remove #city_timer value 1
scoreboard players operation #seconds value = #city_timer value
scoreboard players add #seconds value 19
scoreboard players operation #seconds value /= #20 value
scoreboard players operation #minutes value = #seconds value
scoreboard players operation #minutes value /= #60 value
scoreboard players operation #seconds value %= #60 value
execute if score #seconds value matches ..09 run bossbar set build:city name ["",{"text":"Time remaining: ","color":"green"},{"score":{"name":"#minutes","objective":"value"}},{"text":":0"},{"score":{"name":"#seconds","objective":"value"}}]
execute if score #seconds value matches 10.. run bossbar set build:city name ["",{"text":"Time remaining: ","color":"green"},{"score":{"name":"#minutes","objective":"value"}},{"text":":" },{"score":{"name":"#seconds","objective":"value"}}]
execute store result bossbar build:city value run scoreboard players get #city_timer value







# Put themes from books onto list of themes

execute positioned 0 0 -576 as @e[type=item,distance=..32] at @s run function build:phase/city/1/add_theme







# Make sure everyone has a book

execute as @a[scores={arena=3},tag=!spectator] run function build:generic/theme_book







# Start preparation phase

execute if score #city_timer value matches ..0 run function build:phase/city/1/end/main







# Cancel if there are too few players

execute if score #city_teams value matches 0 if score #city_player_count value matches ..2 run function build:phase/city/generic/abort
execute if score #city_teams value matches 1 if score #city_player_count value matches ..4 run function build:phase/city/generic/abort