# Set timer

scoreboard players set #city_timer value 200







# Modify scores

scoreboard players operation @a[scores={arena=3},tag=!spectator] score *= #1000 value
execute as @a[scores={arena=3},tag=!spectator] run scoreboard players operation @s score /= @s rounds_played







# Find top three winners

scoreboard players set #highest score -2147483648
scoreboard players operation #highest score > @a[scores={arena=3},tag=!spectator] score
execute as @a[scores={arena=3},tag=!spectator] if score @s score = #highest score run tag @s add highest

scoreboard players operation #local team = @a[scores={arena=3},tag=highest,tag=!spectator,sort=random,limit=1] team
execute as @a[scores={arena=3},tag=!spectator] if score @s team = #local team run tag @s add winner



tag @a[scores={arena=3},tag=!spectator] remove highest

scoreboard players set #highest score -2147483648
scoreboard players operation #highest score > @a[scores={arena=3},tag=!eliminated,tag=!winner,tag=!spectator] score
execute as @a[scores={arena=3},tag=!eliminated,tag=!winner,tag=!spectator] if score @s score = #highest score run tag @s add highest

scoreboard players operation #local team = @a[scores={arena=3},tag=!eliminated,tag=highest,tag=!spectator,sort=random,limit=1] team
execute as @a[scores={arena=3},tag=!eliminated,tag=!spectator] if score @s team = #local team run tag @s add second



tag @a[scores={arena=3},tag=!spectator] remove highest

scoreboard players set #highest score -2147483648
scoreboard players operation #highest score > @a[scores={arena=3},tag=!eliminated,tag=!winner,tag=!second,tag=!spectator] score
execute as @a[scores={arena=3},tag=!eliminated,tag=!winner,tag=!second,tag=!spectator] if score @s score = #highest score run tag @s add highest

scoreboard players operation #local team = @a[scores={arena=3},tag=!eliminated,tag=highest,tag=!spectator,sort=random,limit=1] team
execute as @a[scores={arena=3},tag=!eliminated,tag=!spectator] if score @s team = #local team run tag @s add third







# Announce winners

execute store result score #player_count value if entity @a[scores={arena=3},tag=winner,tag=!spectator]

title @a[scores={arena=3}] times 10 70 20
title @a[scores={arena=3}] title {"selector":"@a[scores={arena=3},tag=winner,tag=!spectator]","color":"gold"}
execute if score #player_count value matches ..1 run title @a[scores={arena=3}] subtitle {"text":"Winner!","color":"green"}
execute if score #player_count value matches 2.. run title @a[scores={arena=3}] subtitle {"text":"Winners!","color":"green"}
execute if entity @a[scores={arena=3},tag=winner,tag=!spectator] run tellraw @a[scores={arena=3}] [{"text":"\nFirst: ","color":"green"},{"selector":"@a[scores={arena=3},tag=winner,tag=!spectator]","color":"gold"},{"text":", Score: "},{"score":{"name":"@a[scores={arena=3},tag=winner,tag=!spectator,limit=1]","objective":"score"},"color":"white"}]
execute if entity @a[scores={arena=3},tag=second,tag=!spectator] run tellraw @a[scores={arena=3}] [{"text":"Second: " ,"color":"green"},{"selector":"@a[scores={arena=3},tag=second,tag=!spectator]","color":"gold"},{"text":", Score: "},{"score":{"name":"@a[scores={arena=3},tag=second,tag=!spectator,limit=1]","objective":"score"},"color":"white"}]
execute if entity @a[scores={arena=3},tag=third ,tag=!spectator] run tellraw @a[scores={arena=3}] [{"text":"Third: "  ,"color":"green"},{"selector":"@a[scores={arena=3},tag=third ,tag=!spectator]","color":"gold"},{"text":", Score: "},{"score":{"name":"@a[scores={arena=3},tag=third ,tag=!spectator,limit=1]","objective":"score"},"color":"white"}]
execute as @a[scores={arena=3},tag=!winner,tag=!second,tag=!third,tag=!spectator] run tellraw @s [{"text":"\nYour Score: ","color":"green"},{"score":{"name":"@s","objective":"score"},"color":"white"}]

execute as @a[scores={arena=3}] at @s run playsound minecraft:ui.toast.challenge_complete master @s







# Remove tags from players

tag @a[scores={arena=3},tag=!spectator] remove voting_for
tag @a[scores={arena=3},tag=!spectator] remove voted_for
tag @a[scores={arena=3},tag=!spectator] remove highest
tag @a[scores={arena=3},tag=!spectator] remove winner
tag @a[scores={arena=3},tag=!spectator] remove second
tag @a[scores={arena=3},tag=!spectator] remove third







# Prepare bossbar

bossbar set build:city visible true
execute store result bossbar build:city max run scoreboard players get #city_timer value
execute store result bossbar build:city value run scoreboard players get #city_timer value